﻿@model  Select2ConsultoresViewModel

@if (!Model.tipoPesquisa)
{
    if (Model.viewCode)
    {
        <div class="@(Model.clasColInput != null ? Model.clasColInput : "col-md-2")">
            <input id="@Model.idControleInput" type="text" class="form-control numeric" maxlength="8">
        </div>
    }
    <div class="@(Model.clasColSelect != null ? Model.clasColSelect : "col-md-5") @(Model.clasCor) " style="@Model.margintopSel">
        <div id="@string.Concat(Model.idControleSelect2, "Container")"></div>
    </div>
}
else
{
    <div class="campos-group">
        @if (Model.viewCode)
        {
            <input id="@Model.idControleInput" type="text" class="ctrl-filtro numerico" maximo="5" placeholder="Pesquisar Código..." />
            <i class="material-icons">more_vert</i>
        }
        <div id="@string.Concat(Model.idControleSelect2, "Container")"></div>
    </div>
}

    <script type="text/javascript">
	$(function () {
		with (new ComponenteSelect2()) {
			with (modelo) {
				ajaxPostApiURL = '@Url.Content("~/api/Select2Consultores/ObterDescricoesConsultores")';
				idContainerControle = '@string.Concat(Model.idControleSelect2, "Container")';
				idControle = '@Model.idControleSelect2';
                ajaxIdCampoPesquisaAPI = "NOMFNC";
                textoInicial = "Selecione Consultor";
                jsonTexto = "NOMFNC";
                jsonValor = "CODFNC";
                caracteresMinimos = 0;

                @if (Model.multiplo)
                {
                    <text>multiplo = true;</text>
                }
                else
                {
                    <text>multiplo = false;</text>
                }

                @if (Model.ativo)
                {
                <text>buscarAtivos = true;</text>
                }
                else
                {
                <text>buscarAtivos = false;</text>
                }
			}
			inicializar(null);
		}

        $("#@Model.idControleInput").keypress(function (e) {
            if (e.which == 13) {
                if ($(this).val().length > 0) {
                    //
                    with (new ComponenteAJAXFactory()) {
                        with (modelo) {
                            ajaxSuccessCallbackMethod = function (data) {
                                var bEach = false;
                                $(data).each(function (idx, dat) {
                                    bEach = true;
                                    $("#@Model.idControleSelect2").select2("trigger", "select", {
                                        data: { id: dat.CODSVCTGV, text: dat.DESSVCTGV }
                                    });
                                    return;
                                });
                                if (!bEach) {
                                    swal('Verificar!', 'Consultor não encontrado!');
                                    setCustomIcon('fa fa-window-close');
                                    $("#@Model.idControleInput").val('');
                                    $("#@Model.idControleSelect2").empty().change();
                                }
                            };
                            ajaxURL = '@Url.Content("~/api/Select2Consultores/ObterCodigosConsultores")';
                            async = true;
                            with (addidsEnviarRequisicaoAjax) { idJsonEnviar = "@Model.idControleInput", nomeJsonEnviar = "CODFNC", tipoJsonEnviar = 'tipoNumerico' };
                        }
                        inicializar(null);
                    }
                    //
                }
            }
		});
    });

    </script>
